Bug 1629126 - [RFE] Add support to oVirt provider to set VM memory and CPU
Summary: [RFE] Add support to oVirt provider to set VM memory and CPU
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.9.5
Assignee: Piotr Kliczewski
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On: 1623021
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-14 20:57 UTC by Satoe Imaishi
Modified: 2018-11-05 14:00 UTC (History)
10 users (show)

Fixed In Version: 5.9.5.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1623021
Environment:
Last Closed: 2018-11-05 13:59:33 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 14:00:11 UTC

Comment 2 CFME Bot 2018-09-17 17:52:57 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-ovirt/commit/77cf1c7012c8c31336b86c7c44453f2e59df78c8
commit 77cf1c7012c8c31336b86c7c44453f2e59df78c8
Author:     Piotr Kliczewski <piotr.kliczewski@gmail.com>
AuthorDate: Thu Aug 30 03:14:30 2018 -0400
Commit:     Piotr Kliczewski <piotr.kliczewski@gmail.com>
CommitDate: Thu Aug 30 03:14:30 2018 -0400

    Merge pull request #280 from fdupont-redhat/add_support_for_vm_set_memory_and_cpus

    Add support to set VM memory and number of CPUs
    (cherry picked from commit c1c4cb7ecd9a013eacbec6f2835e54fc321a2f58)

    https://bugzilla.redhat.com/show_bug.cgi?id=1629126

 app/models/manageiq/providers/redhat/infra_manager.rb | 13 +
 spec/models/manageiq/providers/redhat/infra_manager_spec.rb | 21 +
 2 files changed, 34 insertions(+)

Comment 3 CFME Bot 2018-09-17 17:53:23 UTC
New commit detected on ManageIQ/manageiq-automation_engine/gaprindashvili:

https://github.com/ManageIQ/manageiq-automation_engine/commit/a592927ce77f5cd5c78e16ba515d3afb5f715125
commit a592927ce77f5cd5c78e16ba515d3afb5f715125
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Aug 30 08:12:06 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Aug 30 08:12:06 2018 -0400

    Merge pull request #216 from fdupont-redhat/redhat_vm_add_support_for_set_memory_and_cpus

    Add support to redhat VM for set_memory and set_number_of_cpus
    (cherry picked from commit bef5fc5e930ecc9b77f6b829f914c8948eaa0c3f)

    https://bugzilla.redhat.com/show_bug.cgi?id=1629126

 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-redhat-infra_manager-vm.rb | 8 +
 spec/service_models/miq_ae_service_manageiq-providers-redhat-infra_manager-vm_spec.rb | 22 +
 2 files changed, 30 insertions(+)

Comment 5 Ilanit Stein 2018-10-08 13:54:35 UTC
Verified on CFME-5.9.5/RHV-4.2.3

Followed these verification steps from the cloned bug 1623021:

To check this feature is working as expected, one can use Rails console:

===
# vmdb
# rails c
irb> $evm = MiqAeMethodService::MiqAeService.new(MiqAeEngine::MiqAeWorkspaceRuntime.new)

For example, you want to change the CPU and memory of a VM named 'test_vm'. Here are the command to execute in Rails console:

irb> vm = $evm.vmdb(:vm).find_by(:name => 'test_vm')
irb> vm.set_number_of_cpus(2)
irb> vm.set_memory(4096)

Then, you should see in your RHV environment that VM named 'test_vm' has 2 vCPUs and 4 GB of memory.
===

It was run on a Down VM with 2G Memory, and 1 vCPU.
After running the Rails commands, VM was updated to 4G Memory and 2 vCPUs.

Comment 7 errata-xmlrpc 2018-11-05 13:59:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.